///////////////////////////////////////////////////////////////////////////////////////////
// Discovery Manual Extracts Bridge for Outcomes
// v 1.1.0.0
//
///////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////
// Creator
//

#pragma creator Outcomes 1.1.0.0


///////////////////////////////////////////////////////////////////////////////////////////
// Min Version
//

#pragma minversion 7.2.3


///////////////////////////////////////////////////////////////////////////////////////////
// Date Format
//

#pragma dateformat yyyy-mm-dd

///////////////////////////////////////////////////////////////////////////////////////////
// Time Format
//

#pragma timeformat HH:NN:SS AA

///////////////////////////////////////////////////////////////////////////////////////////
// Custom Fields 
//
#customcomfield "Phone" "Phone" "phone"

#customschoolfield "BusStudent" "Bus Std" "noformat"

#customschoolfield "BusInNumber" "BusIn #" "noformat"
#customschoolfield "BusInRoute" "BusIn Route" "noformat"
#customschoolfield "BusInStop" "BusIn Stop" "noformat"
#customschoolfield "BusInStopTime" "Bus In Stop" "noformat"

#customschoolfield "BusOutNumber" "BusOut #" "noformat"
#customschoolfield "BusOutRoute" "BusOut Route" "noformat"
#customschoolfield "BusOutStop" "BusOut Stop" "noformat"
#customschoolfield "BusOutStopTime" "BusOut Stop" "noformat"

#customschoolfield "HealthCardNumber" "Hlth Card" "noformat"
#customschoolfield "HealthCardExpiry" "Hlth Card Exp" "noformat"
#custombasicfield "BirthdateValidation" "Birth Valid" "noformat"
#customschoolfield "ChildCare" "Child Care" "noformat"
#customschoolfield "EligibleToGraduate" "Elig. Graduate" "noformat"
#customschoolfield "Grd12LeavingCode" "Gr12 Leave Code" "noformat"
#customschoolfield "Grd12PlanDest" "Gr12 Plan Dest" "noformat"
#customschoolfield "LunchStudent" "Lunch Std" "noformat"
#customschoolfield "Music" "Music" "noformat"

#customschoolfield "ProgramCode" "Prog Code" "noformat"
#customschoolfield "ESL" "ESL" "noformat"
#customschoolfield "Psych" "Psych" "noformat"
#customschoolfield "ReadingRecovery" "Read Recov" "noformat"
#customschoolfield "SupportReceived" "Sup Rece" "noformat"
#customschoolfield "SupportResource" "Sup Resou" "noformat"
#customschoolfield "SupportSpeech" "Sup Speech" "noformat"
#customschoolfield "TransferInDate" "Trans In Date" "noformat"
#customschoolfield "Walker" "Walker" "noformat"

#customcomfield "CellPhone" "Cell Phone" "phone"
#customcomfield "DayPhone" "Day Phone" "phone"
#customcomfield "EvePhone" "Eve Phone" "phone"


///////////////////////////////////////////////////////////////////////////////////////////
// Import Files and Headers
//

///////////////////////////////////////////////////////////////////////////////////////////
// Student Demographics

#alias "StudentIDNumber" StdKey
#alias "StudentFirstName" StdFirstName
#alias "StudentLastName" StdLastName
#alias "StudentHealthCardNumber" StdHealthCardNumber
#alias "StudentHealthCardExpiry" StdHealthCardExpiry!'null'
#alias "hr.HomeRoomName" StdHRRoomNum!'null'
#alias "StudentStreet" StdAddress1!'null'
#alias "g.GradeShortName" StdGradeLevel
#alias "StudentAMBusName" StdBusIn
#alias "StudentAMBusNumber" StdBusInNumber
#alias "StudentAMBusRoute" StdBusInRoute
#alias "StudentAMBusStop" StdBusInStop
#alias "StudentAMBusStopTime" StdBusInStopTime
#alias "StudentAdmissionDate" StdEnterDate
#alias "StudentBirthdate" StdBirthdate
#alias "StudentBirthdateValidation" StdBirthdateValidation
#alias "StudentBusStudent" StdBusStudent!'FALSE'
#alias "StudentChildCare" StdChildCare!'FALSE'
#alias "StudentCivicApartmentNumber" StdAddress1
#alias "StudentCivicCity" StdCity
#alias "StudentCivicPostalCode" StdZip
#alias "StudentCivicProvince" StdState
#alias "StudentCivicStreetNumber" StdAddress2+' '+StudentCivicStreet
#alias "StudentCommonName" StdNickName
#alias "StudentEligibleToGraduate" StdEligibleToGraduate
#alias "StudentGrade12LeavingCode" StdGrd12LeavingCode
#alias "StudentGrade12PlannedDestination" StdGrd12PlanDest
#alias "StudentLunchStudent" StdLunchStudent
#alias "StudentMailingApartmentNumber" StdMailAddress1
#alias "StudentMailingCity" StdMailCity
#alias "StudentMailingPostalCode" StdMailZip
#alias "StudentMailingProvince" StdMailState
#alias "StudentMailingStreet" StdMailAddress2
#alias "StudentMusic" StdMusic
#alias "StudentPMBusName" StdBusOut
#alias "StudentPMBusNumber" StdBusOutNumber
#alias "StudentPMBusRoute" StdBusOutRoute
#alias "StudentPMBusStop" StdBusOutStop
#alias "StudentPMBusStopTime" StdBusOutStopTime
#alias "StudentPhone" StdPhone
#alias "StudentProgramCode" StdProgramCode
#alias "StudentSex" StdSex
#alias "StudentSpecialEd" StdIsESL
#alias "StudentSupportESL" StdESL
#alias "StudentSupportPsych" StdPsych
#alias "StudentSupportReadingRecovery" StdReadingRecovery
#alias "StudentSupportReceived" StdSupportReceived
#alias "StudentSupportResource" StdSupportResource
#alias "StudentSupportSpeech" StdSupportSpeech
#alias "StudentTransferInDate" StdTransferInDate
#alias "StudentWalker" StdWalker


#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentFirstName" StudentFirstName
#alias "StudentLastName" StudentLastName
#alias "StudentHealthCardNumber" StudentHealthCardNumber
#alias "StudentHealthCardExpiry" StudentHealthCardExpiry
#alias "hr.HomeRoomName" hr.HomeRoomName
#alias "StudentStreet" StudentStreet
#alias "g.GradeShortName" g.GradeShortName
#alias "StudentAMBusName" StudentAMBusName
#alias "StudentAMBusNumber" StudentAMBusNumber
#alias "StudentAMBusRoute" StudentAMBusRoute
#alias "StudentAMBusStop" StudentAMBusStop
#alias "StudentAMBusStopTime" StudentAMBusStopTime
#alias "StudentAdmissionDate" StudentAdmissionDate
#alias "StudentAttendanceExcused" StudentAttendanceExcused
#alias "StudentAttendanceOctober" StudentAttendanceOctober
#alias "StudentAttendanceSept30" StudentAttendanceSept30
#alias "StudentAttendanceSeptember" StudentAttendanceSeptember
#alias "StudentBirthdate" StudentBirthdate
#alias "StudentBirthdateValidation" StudentBirthdateValidation
#alias "StudentBusStudent" StudentBusStudent
#alias "StudentChildCare" StudentChildCare
#alias "StudentCivicApartmentNumber" StudentCivicApartmentNumber
#alias "StudentCivicArea" StudentCivicArea
#alias "StudentCivicCity" StudentCivicCity
#alias "StudentCivicMunicipality" StudentCivicMunicipality
#alias "StudentCivicPostalCode" StudentCivicPostalCode
#alias "StudentCivicProvince" StudentCivicProvince
#alias "StudentCivicStreetNumber" StudentCivicStreetNumber
#alias "StudentCommonName" StudentCommonName
#alias "StudentDosage1" StudentDosage1
#alias "StudentDosage2" StudentDosage2
#alias "StudentEligibleToGraduate" StudentEligibleToGraduate
#alias "StudentGrade12LeavingCode" StudentGrade12LeavingCode
#alias "StudentGrade12PlannedDestination" StudentGrade12PlannedDestination
#alias "StudentLunchStudent" StudentLunchStudent
#alias "StudentMailingApartmentNumber" StudentMailingApartmentNumber
#alias "StudentMailingArea" StudentMailingArea
#alias "StudentMailingCity" StudentMailingCity
#alias "StudentMailingPostalCode" StudentMailingPostalCode
#alias "StudentMailingProvince" StudentMailingProvince
#alias "StudentMailingStreet" StudentMailingStreet
#alias "StudentMusic" StudentMusic
#alias "StudentPMBusName" StudentPMBusName
#alias "StudentPMBusNumber" StudentPMBusNumber
#alias "StudentPMBusRoute" StudentPMBusRoute
#alias "StudentPMBusStop" StudentPMBusStop
#alias "StudentPMBusStopTime" StudentPMBusStopTime
#alias "StudentPhone" StudentPhone
#alias "StudentProgramCode" StudentProgramCode
#alias "StudentSex" StudentSex
#alias "StudentSpecialEd" StudentSpecialEd
#alias "StudentSupportESL" StudentSupportESL
#alias "StudentSupportPsych" StudentSupportPsych
#alias "StudentSupportReadingRecovery" StudentSupportReadingRecovery
#alias "StudentSupportReceived" StudentSupportReceived
#alias "StudentSupportResource" StudentSupportResource
#alias "StudentSupportSpeech" StudentSupportSpeech
#alias "StudentTransferInDate" StudentTransferInDate
#alias "StudentWalker" StudentWalker


///////////////////////////////////////////////////////////////////////////////////////////////////
// Guardian 1

#alias "StudentIDNumber" ConStdRef
#alias "StudentGuardian1City" ConCity
#alias "StudentGuardian1EMail" ConEmail
#alias "StudentGuardian1Employer" ConEmployer
#alias "StudentGuardian1NameFirst" ConFirstName^''
#alias "StudentGuardian1NameLast" ConLastName
#alias "StudentGuardian1PhoneCell" ConCellPhone
#alias "StudentGuardian1PhoneDay" ConDayPhone
#alias "StudentGuardian1PhoneEvening" ConEvePhone
#alias "StudentGuardian1PostalCode" ConZip
#alias "StudentGuardian1Province" ConState
#alias "StudentGuardian1Relationship" ConRelationship
#alias "StudentGuardian1Street" ConAddress1
#column "ConKey+'Guardian1'"
#column "ConType+'Family'"

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentGuardian1City" StudentGuardian1City
#alias "StudentGuardian1EMail" StudentGuardian1EMail
#alias "StudentGuardian1Employer" StudentGuardian1Employer
#alias "StudentGuardian1NameFirst" StudentGuardian1NameFirst
#alias "StudentGuardian1NameLast" StudentGuardian1NameLast
#alias "StudentGuardian1PhoneCell" StudentGuardian1PhoneCell
#alias "StudentGuardian1PhoneDay" StudentGuardian1PhoneDay
#alias "StudentGuardian1PhoneEvening" StudentGuardian1PhoneEvening
#alias "StudentGuardian1PostalCode" StudentGuardian1PostalCode
#alias "StudentGuardian1Province" StudentGuardian1Province
#alias "StudentGuardian1Relationship" StudentGuardian1Relationship
#alias "StudentGuardian1Street" StudentGuardian1Street


//////////////////////////////////////////////////////////////////////////////////////////////////////
// Guardian 2

#alias "StudentIDNumber" ConStdRef
#alias "StudentGuardian2City" ConCity
#alias "StudentGuardian2EMail" ConEmail
#alias "StudentGuardian2Employer" ConEmployer
#alias "StudentGuardian2NameFirst" ConFirstName^''
#alias "StudentGuardian2NameLast" ConLastName
#alias "StudentGuardian2PhoneCell" ConCellPhone
#alias "StudentGuardian2PhoneDay" ConDayPhone
#alias "StudentGuardian2PhoneEvening" ConEvePhone
#alias "StudentGuardian2PostalCode" ConZip
#alias "StudentGuardian2Province" ConState
#alias "StudentGuardian2Relationship" ConRelationship
#alias "StudentGuardian2Street" ConAddress1
#column "ConKey+'Guardian2'"
#column "ConType+'Family'"

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentGuardian2City" StudentGuardian2City
#alias "StudentGuardian2EMail" StudentGuardian2EMail
#alias "StudentGuardian2Employer" StudentGuardian2Employer
#alias "StudentGuardian2NameFirst" StudentGuardian2NameFirst
#alias "StudentGuardian2NameLast" StudentGuardian2NameLast
#alias "StudentGuardian2PhoneCell" StudentGuardian2PhoneCell
#alias "StudentGuardian2PhoneDay" StudentGuardian2PhoneDay
#alias "StudentGuardian2PhoneEvening" StudentGuardian2PhoneEvening
#alias "StudentGuardian2PostalCode" StudentGuardian2PostalCode
#alias "StudentGuardian2Province" StudentGuardian2Province
#alias "StudentGuardian2Relationship" StudentGuardian2Relationship
#alias "StudentGuardian2Street" StudentGuardian2Street


//////////////////////////////////////////////////////////////////////////////////////////////////
// School Closure Contact 1


#alias "StudentIDNumber" ConStdRef
#column "ConKey+'ClosureContact1'"
#alias "StudentClosureContactName" ConLastName^''
#alias "StudentClosureContactNumber" ConPhone
#alias "StudentSchoolClosureArrangements" ConClosureArrange
#column "ConRelationship+'Closure 1'"
#column "ConType+'Emergency'"

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentClosureContactName" StudentClosureContactName
#alias "StudentClosureContactNumber" StudentClosureContactNumber
#alias "StudentSchoolClosureArrangements" StudentSchoolClosureArrangements


/////////////////////////////////////////////////////////////////////////////////////////////////////
// School Closure Contact 2

#alias "StudentIDNumber" ConStdRef
#column "ConKey+'ClosureContact2'"
#alias "StudentClosureContactName2" ConLastName^''
#alias "StudentClosureContactNumber2" ConPhone
#alias "StudentSchoolClosureArrangements" ConClosureArrange
#column "ConRelationship+'Closure 2'"
#column "ConType+'Emergency'"

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentClosureContactName2" StudentClosureContactName2
#alias "StudentClosureContactNumber2" StudentClosureContactNumber2
#alias "StudentSchoolClosureArrangements" StudentSchoolClosureArrangements


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Doctor 

#alias "StudentIDNumber" ConStdRef
#column "ConKey+'Doctor'"
#alias "StudentDoctorName" ConLastName^''
#alias "StudentDoctorPhone" ConPhone
#column "ConRelationship+'Doctor'"
#column "ConType+'Health'"
#column "ConDontContact+'Y'"

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentDoctorName" StudentDoctorName
#alias "StudentDoctorPhone" StudentDoctorPhone


//////////////////////////////////////////////////////////////////////////////////////////////////////////
// Emergency Contact


#alias "StudentIDNumber" ConStdRef
#alias "StudentEmergencyActionPlan" ConEmergencyActionPlan
#alias "StudentEmergencyContactEmergency" ConEmergPhone
#alias "StudentEmergencyContactName" ConLastName^''
#alias "StudentEmergencyContactPhone" ConHomePhone
#alias "StudentEmergencyContactWork" ConWorkPhone
#column "ConKey+'Emergency'"
#column "ConIsEmergency+'Yes'"
#column "ConRelationship+'Emergency'"
#column "ConType+'Emergency'"

#include "DSLStudent.csv"

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentEmergencyActionPlan" StudentEmergencyActionPlan
#alias "StudentEmergencyContactEmergency" StudentEmergencyContactEmergency
#alias "StudentEmergencyContactName" StudentEmergencyContactName
#alias "StudentEmergencyContactPhone" StudentEmergencyContactPhone
#alias "StudentEmergencyContactWork" StudentEmergencyContactWork




/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//

LutKey,LutCode,LutDesc
MedSeverity,Yes,ALERT
MedSeverity,No,
MedSeverity,YES,ALERT
MedSeverity,NO,
*

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Medical Condition (Allergies)

#alias "StudentIDNumber" MedConditStdRef
#alias "StudentAllergies" MedConditTypeRef^''
#alias "StudentMedicalConcern" MedConditSeverity@MedSeverity

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentAllergies" StudentAllergies
#alias "StudentMedicalConcern" StudentMedicalConcern


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Secondary Medical Condition

#alias "StudentIDNumber" MedConditStdRef
#alias "StudentSecondaryCondition" MedConditTypeRef^''
#alias "StudentMedicalConcern" MedConditSeverity@MedSeverity

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentSecondaryCondition" StudentSecondaryCondition
#alias "StudentMedicalConcern" StudentMedicalConcern


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Medication 1

#alias "StudentIDNumber" MedConditStdRef
#alias "StudentMedication1" MedConditTypeRef
#alias "StudentMedicalConcern" MedConditSeverity@MedSeverity
#alias "StudentDosage1" MedConditNote

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentMedication1" StudentMedication1
#alias "StudentMedicalConcern" StudentMedicalConcern
#alias "StudentDosage1" StudentDosage1


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Medication 2

#alias "StudentIDNumber" MedConditStdRef
#alias "StudentMedication2" MedConditTypeRef
#alias "StudentMedicalConcern" MedConditSeverity@MedSeverity
#alias "StudentDosage2" MedConditNote

#include "DSLStudent.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "StudentMedication2" StudentMedication2
#alias "StudentMedicalConcern" StudentMedicalConcern
#alias "StudentDosage2" StudentDosage2


#customcndinfield "DateModified" "Date Modified"
#customcndinfield "Severity" "Severity"
#customcndinfield "Status" "Status"
#customcndinfield "VisibleToOffice" "Visible"
#customcndinfield "Witnesses" "Witnesses"


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Student Conduct

#alias "StudentIDNumber" CndInPerpStdRef
#alias "IncidentDate" CndInDate
#alias "IncidentDateModified" CndInDateModified
#alias "IncidentDateReported" "CndInReferralDate
#alias "IncidentDescription" "CndInNote
#alias "IncidentEmployeeID" "CndInReferrerStaffRef!'0'
#alias "IncidentID" "CndInKey
#alias "IncidentLocation" "CndInRoomRef
#alias "IncidentRequestSupervisor" "CndInRefereeStaffRef!'0'
#alias "IncidentSeverity" "CndInSeverity
#alias "IncidentStaffWitness" "CndInWitnessStaffRef
#alias "IncidentStatus" CndInStatus
#alias "IncidentTime" CndInTime
#alias "IncidentType" CndInTypeRef
#alias "IncidentVisibleToOffice" CndInVisibleToOffice
#alias "IncidentWitnesses" CndInWitnesses

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentDate" IncidentDate
#alias "IncidentDateModified" IncidentDateModified
#alias "IncidentDateReported" IncidentDateReported
#alias "IncidentDescription" IncidentDescription
#alias "IncidentEmployeeID" IncidentEmployeeID
#alias "IncidentID" IncidentID
#alias "IncidentLocation" IncidentLocation
#alias "IncidentRequestSupervisor" IncidentRequestSupervisor
#alias "IncidentSeverity" IncidentSeverity
#alias "IncidentStaffWitness" IncidentStaffWitness
#alias "IncidentStatus" IncidentStatus
#alias "IncidentTime" IncidentTime
#alias "IncidentType" IncidentType
#alias "IncidentVisibleToOffice" IncidentVisibleToOffice
#alias "IncidentWitnesses" IncidentWitnesses


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 

LutKey,LutCode,LutDesc
AcknowledgedLUT,0,
AcknowledgedLUT,1,"Acknowledged"
BoardNotifLUT,0,
BoardNotifLUT,1,"Board Notified"
OfficeFollowupLUT,0,
OfficeFollowupLUT,1,"Office Followup"
ClosedLUT,0,
ClosedLUT,1,"Closed"
*


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Incident Acknowledge

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentAcknowledgeDate" CndOutStartDate^'null'
#alias "IncidentAcknowledged" CndOutTypeRef@AcknowledgedLUT
#column "CndOutKey+'Acknowledges'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentAcknowledgeDate" IncidentAcknowledgeDate
#alias "IncidentAcknowledged" IncidentAcknowledged


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Board Notification

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentBoardNotification" CndOutTypeRef@BoardNotifLUT
#alias "IncidentBoardNotificationDate" CndOutStartDate^'null'
#column "CndOutKey+'BoardNotif'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentBoardNotification" IncidentBoardNotification
#alias "IncidentBoardNotificationDate" IncidentBoardNotificationDate


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Office Followup

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentOfficeFollowUp" IncidentOfficeFollowup^'0'
#column "CndOutTypeRef+'Office Followup'"
#alias "IncidentOfficeFollowupAction" CndOutNote
#alias "IncidentOfficeFollowupDate" CndOutStartDate^'null'
#column "CndOutKey+'OfficeFollowup'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentOfficeFollowUp" IncidentOfficeFollowUp
#alias "IncidentOfficeFollowupAction" IncidentOfficeFollowupAction
#alias "IncidentOfficeFollowupDate" IncidentOfficeFollowupDate


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Closed

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentClosed" IncidentClosed^'0'
#column "CndOutTypeRef+'Closed'"
#column "CndOutKey+'Closed'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentClosed" IncidentClosed


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Contact 

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentContactDate" CndOutDate^'null'
#alias "IncidentContactPhoneOrEmail" CndOutNote+' '+IncidentContactDiscussion
#alias "IncidentContactNameAndRelation" IncidentContactNameAndRelation^''
#alias "IncidentContactType" CndOutTypeRef+' '+IncidentContactNameAndRelation
#column "CndOutKey+'Contacted'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentContactDate" IncidentContactDate
#alias "IncidentContactPhoneOrEmail" IncidentContactPhoneOrEmail
#alias "IncidentContactNameAndRelation" IncidentContactNameAndRelation
#alias "IncidentContactType" IncidentContactType


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentAdvisedReporterDate" CndOutDate^'null'
#column "CndOutKey+'AdvisedReporter'"
#column "CndOutTypeRef+'Advised Reporter'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentAdvisedReporterDate" IncidentAdvisedReporterDate



/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Advised Reporter

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentAdvisedSupervisorDate" CndOutDate^'null'
#column "CndOutTypeRef+'Advised Supervisor'"
#column "CndOutKey+'AdvisedSupervisor'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentAdvisedSupervisorDate" IncidentAdvisedSupervisorDate


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// First Actions

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentFirstActions" CndOutTypeRef^'null'
#column "CndOutKey+'FirstAction'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentFirstActions" IncidentFirstActions


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Action Taken

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentActionTaken" CndOutTypeRef^'null'
#column "CndOutKey+'ActionTaken'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentActionTaken" IncidentActionTaken


/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Supervisor Read

#alias "StudentIDNumber" CndOutTargetRef
#alias "IncidentID" CndOutInRef
#alias "IncidentSupervisorReadDate" CndOutDate^'null'
#column "CndOutTypeRef+'Supervisor Read'"
#column "CndOutKey+'SupervisorRead'"

#safeinclude "DSLBehaviour.csv"
*

#alias "StudentIDNumber" StudentIDNumber
#alias "IncidentID" IncidentID
#alias "IncidentSupervisorReadDate" IncidentSupervisorReadDate











